Extract ROI Application

Brief Description

Extract a ROI defined by the user.

Tags

Image Manipulation

Long Description

This application extracts a Region Of Interest with user defined size.

Parameters

- [param] Input Image (-in): Input image.

- [param] Output Image (-out): Output image.

- [param] Available RAM (-ram): Available RAM

- [param] Start X (-startx): ROI start x position.

- [param] Start Y (-starty): ROI start y position.

- [param] Size X (-sizex): size along x in pixels.

- [param] Size Y (-sizey): size along y in pixels.

- [param] Output Image channels (-cl):

Limitations

None

Authors

OTB-Team

See also

Example of use

- Parameters to set value:

- Input Image: couleurs_extrait.png

- Output Image: ROIImage.tif

- Size X: 256

- Command line to execute:

otbcli_ExtractROI -in couleurs_extrait.png -out ROIImage.tif -sizex 256